Summary:	Totem Playlist Parser library
Summary(pl.UTF-8):	Biblioteka analizująca listy odtwarzania Totema
Name:		totem-pl-parser
Version:	3.10.7
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem-pl-parser/3.10/%{name}-%{version}.tar.xz
# Source0-md5:	a316c4c82ac64758d7b57e422a07a75e
URL:		http://www.gnome.org/projects/totem/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gmime-devel >= 2.6.0
BuildRequires:	gnome-common >= 3.5.91
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk-doc >= 1.24
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libarchive-devel >= 3.0
BuildRequires:	libgcrypt-devel
BuildRequires:	libquvi-devel >= 0.9.1
BuildRequires:	libsoup-devel >= 2.43.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libquvi >= 0.9.1
Requires:	libsoup >= 2.43.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
A library to parse and save playlists, as used in music and movie
players.

%description -l pl.UTF-8
Biblioteka do analizy i zapisu list odtwarzania (playlist) używanych
przez odtwarzacze muzyki i filmów.

%package devel
Summary:	Header files for totem-pl-parser library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	gmime-devel >= 2.6.0
Requires:	libarchive-devel >= 3.0
Requires:	libgcrypt-devel
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for totem-pl-parser library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki totem-pl-parser.

%package static
Summary:	Static totem-pl-parser library
Summary(pl.UTF-8):	Statyczna biblioteka totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static totem-pl-parser library.

%description static -l pl.UTF-8
Statyczna biblioteka totem-pl-parser.

%package apidocs
Summary:	totem-pl-parser library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki totem-pl-parser
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
totem-pl-parser library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki totem-pl-parser.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser-mini.so.18
%attr(755,root,root) %{_libdir}/libtotem-plparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser.so.18
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib
%dir %{_libexecdir}/totem-pl-parser
%attr(755,root,root) %{_libexecdir}/totem-pl-parser/99-totem-pl-parser-videosite

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so
%attr(755,root,root) %{_libdir}/libtotem-plparser.so
%{_includedir}/totem-pl-parser
%{_pkgconfigdir}/totem-plparser-mini.pc
%{_pkgconfigdir}/totem-plparser.pc
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libtotem-plparser-mini.a
%{_libdir}/libtotem-plparser.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/totem-pl-parser
%changelog
* Wed Sep 21 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/totem-pl-parser.git;a=log;h=master

* Wed Sep 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 5ff168b
- Update to 3.10.7

* Fri Dec 25 2015 Jakub Bogusz <qboosh@pld-linux.org> e2ef4fd
- updated to 3.10.6
- restore quvi support (based on libquvi 0.9.x now)

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> 0d796a2
- release 2 (by relup.sh)

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> 2d4d194
- bump gtk-doc BR

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> e84850c
- doesn't build with gtk-doc 1.22 due to some regression

* Fri May 08 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 2764ae0
- Update to 3.10.5

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 1ade541
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 18 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 8e33947
- Update to 3.10.4

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 476612c
- updated gettext BR

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> a0ec8cf
- updated to 3.10.3

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> ee9a84e
- noarch apidocs

* Thu Mar 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> db81657
- Update to 3.10.2

* Sat Feb 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 62eba60
- updated to 3.10.1

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ae8eff
- release 2 (by relup.sh)

* Wed Sep 25 2013 Jakub Bogusz <qboosh@pld-linux.org> e3b57ce
- updated to 3.10.0 (note: new sonames)

* Sat Jul 13 2013 Artur Frysiak <artur@frysiak.net> eaffea8
- Release 3

* Sat Jul 13 2013 Artur Frysiak <artur@frysiak.net> 45846aa
- Install fix

* Fri Jul 12 2013 Artur Frysiak <artur@frysiak.net> f79093a
- Release 2

* Fri May 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> 681e0c2
- updated to 3.4.5

* Tue Mar 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b867a81
- Update to 3.4.4

